Bug 24268 - advance_notices.pl dies on undefined letter
Summary: advance_notices.pl dies on undefined letter
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 20478
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-18 18:52 UTC by Nick Clemens
Modified: 2019-12-20 19:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
Bug 24268: Break assignment and warn into separate actions (1.11 KB, patch)
2019-12-18 18:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24268: Unit tests (1.08 KB, patch)
2019-12-18 19:02 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24268: Break assignment and warn into separate actions (1.15 KB, patch)
2019-12-18 20:22 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 24268: Unit tests (1.13 KB, patch)
2019-12-18 20:22 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 24268: Unit tests (1.20 KB, patch)
2019-12-19 06:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24268: Break assignment and warn into separate actions (1.22 KB, patch)
2019-12-19 06:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-12-18 18:52:31 UTC
Bug 20478 changed the assignment/warn in advance_notices - it seems that new we either assign a letter, or the value of the warn (1) to the letter. This causes:

Can't use string ("1") as a HASH ref while "strict refs" in use at advance_notices.pl line 589.
Comment 1 Nick Clemens 2019-12-18 18:53:35 UTC
Created attachment 96458 [details] [review]
Bug 24268: Break assignment and warn into separate actions
Comment 2 Nick Clemens 2019-12-18 18:55:34 UTC
This should probably be covered by tests, shoudl be able to recreate the situation by having a patron request messages in a transport not defined in a digest message
Comment 3 Nick Clemens 2019-12-18 19:02:44 UTC
Created attachment 96459 [details] [review]
Bug 24268: Unit tests
Comment 4 Liz Rea 2019-12-18 20:22:47 UTC
Created attachment 96462 [details] [review]
Bug 24268: Break assignment and warn into separate actions

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 5 Liz Rea 2019-12-18 20:22:58 UTC
Created attachment 96463 [details] [review]
Bug 24268: Unit tests

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 6 Jonathan Druart 2019-12-19 06:57:44 UTC
Created attachment 96476 [details] [review]
Bug 24268: Unit tests

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2019-12-19 06:57:47 UTC
Created attachment 96477 [details] [review]
Bug 24268: Break assignment and warn into separate actions

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Martin Renvoize 2019-12-20 12:10:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2019-12-20 18:57:40 UTC
Pushed to 19.11.01
Comment 10 Lucas Gass 2019-12-20 19:16:37 UTC
backported to 19.05.x for 19.05.06